From 8472048802c09df9cab93a39182fb52377fd4c1b Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Wed, 31 Oct 2018 13:09:29 +0000
Subject: [PATCH] Bump version, & update default passwords

---
 build/index.php           | 16 ++++++++--------
 peppermint.guiconfig.json |  4 ++--
 version                   |  2 +-
 3 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/build/index.php b/build/index.php
index 1f4e6fb..1889849 100644
--- a/build/index.php
+++ b/build/index.php
@@ -46,11 +46,11 @@ $guiConfig = <<<'GUICONFIG'
 	"users": { "type": "usertable", "description": "An array of usernames and passwords - passwords should be hashed with password_hash() (the hash action can help here)", "default": {
 		"admin": {
 			"email": "admin@somewhere.com",
-			"password": "$2y$11$HBk1sh9MGVSM.vM.hZTnBOxk8sJi6PhyN/DRZUy8z845F1wQ4tudS"
+			"password": "$2y$10$kX6QgET6SfL47GsJjxwp/.JE6SSJo4Nx8/wG13eNvLDGIduYTlCXO"
 		},
 		"user": {
 			"email": "example@example.net",
-			"password": "$2y$11$DrRmOVRfW0yyYD26JQkiluicOfluGoEgHgKJ7imPDicWABhowP9Fi"
+			"password": "$2y$10$tWYjgh5WvaJrwiszZ1e2Keo3ras6mqa4ptqruwUn3de4UB6eV9cnW"
 		}
 	}},
 	"admins": { "type": "array", "description": "An array of usernames that are administrators. Administrators can delete and move pages.", "default": [ "admin" ]},
@@ -405,8 +405,8 @@ if($settings->sessionprefix == "auto")
 ////// Do not edit below this line unless you know what you are doing! //////
 /////////////////////////////////////////////////////////////////////////////
 /** The version of Pepperminty Wiki currently running. */
-$version = "v0.17";
-$commit = "f62bebda76fdc0fc2f076a5b9c6afd284b64016f";
+$version = "v0.17.1";
+$commit = "bb58384f9e75d55f158b8ba53f6b5bd6578e2669";
 /// Environment ///
 /** Holds information about the current request environment. */
 $env = new stdClass();
@@ -1445,7 +1445,7 @@ class page_renderer
 		<meta charset='utf-8' />
 		<title>{title}</title>
 		<meta name='viewport' content='width=device-width, initial-scale=1' />
-		<meta name='generator' content='Pepperminty Wiki v0.17' />
+		<meta name='generator' content='Pepperminty Wiki v0.17.1' />
 		<link rel='shortcut-icon' href='{favicon-url}' />
 		<link rel='icon' href='{favicon-url}' />
 		{header-html}
@@ -1469,7 +1469,7 @@ class page_renderer
 		{extra}
 		<footer>
 			<p>{footer-message}</p>
-			<p>Powered by Pepperminty Wiki v0.17, which was built by <a href='//starbeamrainbowlabs.com/'>Starbeamrainbowlabs</a>. Send bugs to 'bugs at starbeamrainbowlabs dot com' or <a href='//github.com/sbrl/Pepperminty-Wiki' title='Github Issue Tracker'>open an issue</a>.</p>
+			<p>Powered by Pepperminty Wiki v0.17.1, which was built by <a href='//starbeamrainbowlabs.com/'>Starbeamrainbowlabs</a>. Send bugs to 'bugs at starbeamrainbowlabs dot com' or <a href='//github.com/sbrl/Pepperminty-Wiki' title='Github Issue Tracker'>open an issue</a>.</p>
 			<p>Your local friendly moderators are {admins-name-list}.</p>
 			<p>This wiki is managed by <a href='mailto:{admin-details-email}'>{admin-details-name}</a>.</p>
 		</footer>
@@ -1487,7 +1487,7 @@ class page_renderer
 			<p><em>From {sitename}, which is managed by {admin-details-name}.</em></p>
 			<p>{footer-message}</p>
 			<p><em>Timed at {generation-date}</em></p>
-			<p><em>Powered by Pepperminty Wiki v0.17.</em></p>
+			<p><em>Powered by Pepperminty Wiki v0.17.1.</em></p>
 		</footer>";
 	
 	/**
@@ -1576,7 +1576,7 @@ class page_renderer
 			"{body}" => $body_template,
 
 			"{sitename}" => $logo_html,
-			"v0.17" => $version,
+			"v0.17.1" => $version,
 			"{favicon-url}" => $settings->favicon,
 			"{header-html}" => self::get_header_html(),
 
diff --git a/peppermint.guiconfig.json b/peppermint.guiconfig.json
index f8200f8..558f2f1 100644
--- a/peppermint.guiconfig.json
+++ b/peppermint.guiconfig.json
@@ -23,11 +23,11 @@
 	"users": { "type": "usertable", "description": "An array of usernames and passwords - passwords should be hashed with password_hash() (the hash action can help here)", "default": {
 		"admin": {
 			"email": "admin@somewhere.com",
-			"password": "$2y$11$HBk1sh9MGVSM.vM.hZTnBOxk8sJi6PhyN/DRZUy8z845F1wQ4tudS"
+			"password": "$2y$10$kX6QgET6SfL47GsJjxwp/.JE6SSJo4Nx8/wG13eNvLDGIduYTlCXO"
 		},
 		"user": {
 			"email": "example@example.net",
-			"password": "$2y$11$DrRmOVRfW0yyYD26JQkiluicOfluGoEgHgKJ7imPDicWABhowP9Fi"
+			"password": "$2y$10$tWYjgh5WvaJrwiszZ1e2Keo3ras6mqa4ptqruwUn3de4UB6eV9cnW"
 		}
 	}},
 	"admins": { "type": "array", "description": "An array of usernames that are administrators. Administrators can delete and move pages.", "default": [ "admin" ]},
diff --git a/version b/version
index 2b8bac3..0ffcf19 100644
--- a/version
+++ b/version
@@ -1 +1 @@
-v0.17
+v0.17.1
